Skip to main content
POST
/
unit-tests
/
run-all
Run all unit tests
curl --request POST \
  --url https://app.freyavoice.ai/api/v2/unit-tests/run-all \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "workspaceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "entityId": "<string>",
  "entityVersionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "mockToolResults": {}
}
'
{
  "success": true,
  "data": {
    "message": "<string>",
    "result": {
      "enqueued": [
        {
          "unitTestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "jobId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      ],
      "skipped": [
        "<string>"
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
workspaceId
string<uuid>
required
entityType
enum<string>
required
Available options:
agent,
workflow
entityId
string
required
Minimum string length: 1
entityVersionId
string<uuid>
mockToolResults
object
judgeLlmOverride
object

Response

Runs enqueued

success
enum<boolean>
required
Available options:
true
data
object
required